# Retrieve a user Retrieves a single user resource. The value of the should be the user's corresponding user ID. Endpoint: GET /scim/v2/Users/{id} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. ## Path parameters: - `id` (string, required) The ID of the user to retrieve. ## Response 200 fields (application/json): - `schemas` (array) A list of schema URNs that define the structure and attributes of the user resource. - `id` (string) The unique identifier for the user resource. - `meta` (object) - `meta.created` (string) The date and time when the user resource was created. - `meta.resourceType` (string) The type of resource (e.g., 'User'). - `meta.location` (string) The URL where the user resource can be accessed or retrieved. - `userName` (string) The user’s unique username. - `name` (object) - `name.formatted` (string) The full name of the user, including both given and family names. - `name.familyName` (string) The family name (surname) of the user. - `name.givenName` (string) The given name (first name) of the user. - `displayName` (string) The display name of the user, used for user interface purposes. - `preferredLanguage` (string) The preferred language for the user, specified using a language code (e.g., 'en'). - `locale` (string) The locale of the user, specified using a locale code (e.g., 'en-US'). - `active` (boolean) Indicates whether the user account is active. - `emails` (array) - `emails.value` (string) The email address of the user. - `emails.display` (string) The email address displayed in the user interface. - `emails.type` (string) The type of email address (e.g., 'work', 'home'). - `emails.primary` (boolean) Indicates whether this email address is the primary email for the user. - `groups` (array) - `groups.value` (string) The identifier of the group to which the user belongs. - `groups.display` (string) The display name of the group. - `roles` (array) - `roles.value` (string) The role assigned to the user. - `roles.display` (string) The display name of the role. - `urn:zuora:scim:schemas:1.0:UserExtension` (object) - `urn:zuora:scim:schemas:1.0:UserExtension.schemas` (array) A list of schema URNs specific to Zuora’s user extension schema. - `urn:zuora:scim:schemas:1.0:UserExtension.organizationId` (string) The identifier for the organization to which the user belongs. - `urn:zuora:scim:schemas:1.0:UserExtension.status` (string) The status of the user account (e.g., 'ACTIVE'). - `urn:zuora:scim:schemas:1.0:UserExtension.ssoEnabled` (boolean) Indicates whether Single Sign-On (SSO) is enabled for the user. - `urn:zuora:scim:schemas:1.0:UserExtension.region` (string) The region associated with the user (e.g., 'EU'). ## Response 401 fields ## Response 403 fields ## Response 404 fields